1. Staff
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Staff

Get all staff members

GET
/api/rest/staff/shop/{shopId}
Retrieve all staff members with their pay rates, positions, and permissions

Request

Path Params

Query Params

Responses

🟢200
application/json
List of staff members
Body

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/staff/shop/?locationIds&limit&offset'
Response Response Example
{
    "success": true,
    "data": {
        "count": 0,
        "limit": 0,
        "offset": 0,
        "previous": {},
        "next": {},
        "results": [
            {
                "id": 0,
                "name": "string",
                "externalId": "string",
                "permission": "string",
                "pin": "string",
                "status": "string",
                "position": "string",
                "locations": [
                    {
                        "id": 0,
                        "name": "string",
                        "shopifyLocationId": "string",
                        "timezone": "string",
                        "active": true
                    }
                ],
                "compensation": {
                    "currencyCode": "string",
                    "currencyMark": "string",
                    "amount": 0,
                    "type": "string"
                },
                "payrollSettings": {
                    "classification": "string",
                    "payGroup": "string",
                    "overtimeEligibility": true,
                    "commissionsEligibility": true,
                    "posTipsEligibility": true,
                    "dateOfHiring": "string"
                },
                "payrollStatus": "string"
            }
        ]
    }
}
Previous
Home
Next
Get a single staff member